Package org.eclipse.m2m.atl.drivers.emf4atl.tcs.injector

## Class TCSInjector

- java.lang.Object
- - org.eclipse.m2m.atl.drivers.emf4atl.tcs.injector.TCSInjector

All Implemented Interfaces:
  `Injector`

    public class TCSInjector
    extends java.lang.Object
    implements Injector

### Field Summary

Fields
`protected ModelAdapter` `problemsModelAdapter`
`protected ModelAdapter` `targetModelAdapter`

### Constructor Summary

Constructors
`TCSInjector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map` `getParameterTypes()` returns the list of parameters supported by this injector in the form of a Map with parameter names as keys and type name as value.
`java.lang.String` `getPrefix()`
`ASMModelElement` `inject​(ASMModel target, java.io.InputStream source, java.util.Map params)` Performs the injection.
`ASMModelElement` `inject​(ASMModel target, java.io.Reader source, java.util.Map params)` Performs the injection.
`void` `performImportation​(ASMModel format, ASMModel extent, java.io.InputStream in, java.lang.String other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### problemsModelAdapter

    protected ModelAdapter problemsModelAdapter

#### targetModelAdapter

    protected ModelAdapter targetModelAdapter

### Constructor Detail

#### TCSInjector

    public TCSInjector()

### Method Detail

#### getParameterTypes

    public java.util.Map getParameterTypes()

Description copied from interface: `Injector`
returns the list of parameters supported by this injector in the form of a Map with parameter names as keys and type name as value. Known type names are: "String" "Model"

Specified by:
  `getParameterTypes` in interface `Injector`
Returns:
  the Map of parameter types

#### inject

    public ASMModelElement inject​(ASMModel target,
                                  java.io.InputStream source,
                                  java.util.Map params)
                           throws java.io.IOException

Performs the injection.

Specified by:
  `inject` in interface `Injector`
Parameters:
  `target` - The target model to populate.
  `source` - The source InputStream. Alternative source kinds can be passed in params.
  `params` - A Map of additional parameters. The key is the name.
Returns:
  The root element of the populated model if it exists, any element else.
Throws:
  `java.io.IOException`
See Also:
  `Injector.inject(org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel, java.io.InputStream, java.util.Map)`

#### inject

    public ASMModelElement inject​(ASMModel target,
                                  java.io.Reader source,
                                  java.util.Map params)
                           throws java.io.IOException

Performs the injection.

Specified by:
  `inject` in interface `Injector`
Parameters:
  `target` - The target model to populate.
  `source` - The source Reader. Alternative source kinds can be passed in params.
  `params` - A Map of additional parameters. The key is the name.
Returns:
  The root element of the populated model if it exists, any element else.
Throws:
  `java.io.IOException`
See Also:
  `Injector.inject(org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel, java.io.Reader, java.util.Map)`

#### getPrefix

    public java.lang.String getPrefix()

Specified by:
  `getPrefix` in interface `Injector`

#### performImportation

    public void performImportation​(ASMModel format,
                                   ASMModel extent,
                                   java.io.InputStream in,
                                   java.lang.String other)
                            throws java.io.IOException

Specified by:
  `performImportation` in interface `Injector`
Throws:
  `java.io.IOException`